Bug 175975 - Traceback during install in sortedtransaction.py
Traceback during install in sortedtransaction.py
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-16 15:41 EST by Orion Poplawski
Modified: 2014-01-21 17:53 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.5.0-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-21 11:00:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Anacoda dump file (365.53 KB, text/plain)
2005-12-16 15:41 EST, Orion Poplawski
no flags Details
Fix anaconda to pass pkgtup to remove (602 bytes, patch)
2005-12-21 08:20 EST, Paul Nasrat
no flags Details | Diff
Fix yum so txmbr hashable (574 bytes, patch)
2005-12-21 08:22 EST, Paul Nasrat
no flags Details | Diff

  None (edit)
Description Orion Poplawski 2005-12-16 15:41:12 EST
Description of problem:

During NFS kickstart install using today's rawhide:

Traceback (most recent call last):
  File "/usr/bin/anaconda", line 1203, in ?
    intf.run(id, dispatch)
  File "/usr/lib/anaconda/text.py", line 510, in run
    (step, args) = dispatch.currentStep()
  File "/usr/lib/anaconda/dispatch.py", line 254, in currentStep
    self.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 144, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 215, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/backend.py", line 157, in doBasePackageSelect
    instClass.setGroupSelection(backend)
  File "/usr/lib/anaconda/kickstart.py", line 798, in setGroupSelection
    map(backend.deselectPackage, self.ksdata.excludedList)
  File "/usr/lib/anaconda/yuminstall.py", line 954, in deselectPackage
    map(lambda x: self.ayum.tsInfo.remove(x), txmbrs)
  File "/usr/lib/anaconda/yuminstall.py", line 954, in <lambda>
    map(lambda x: self.ayum.tsInfo.remove(x), txmbrs)
  File "/usr/lib/anaconda/sortedtransaction.py", line 102, in remove
    if not self.pkgdict.has_key(pkgtup):
TypeError: unhashable instance

Version-Release number of selected component (if applicable):


How reproducible:
Everytime

Additional info:

Kickstart file:

install
text
nfs --server=saga --dir=/export/data1/fedora/core/development/x86_64
lang en_US
keyboard us
network --bootproto=dhcp
rootpw --iscrypted CwU/lYtazWt7E
firewall --disabled
authconfig --enableshadow --enablenis --nisdomain=yp.colorado-research.com
timezone America/Denver
xconfig --startxonboot --defaultdesktop=KDE --resolution=1600x1200 --depth=24
clearpart --linux
part /boot --fstype ext3 --size=50
part / --fstype ext3 --size=4500
part /var --fstype ext3 --size=512
part swap --recommended
part /export --fstype ext3 --size=100 --grow
bootloader --location=mbr
reboot

%packages
#@ Core
-ash
-lilo
#@ Base
-dump
krb5-workstation
-up2date
#@ Development Libs
strace
#@ Dialup Networking Support
-isdn4k-utils
#@ Mail Server
sendmail-cf
#@ Legacy Software Development
compat-libstdc++-33
@ X Window System
-firstboot
-gdm
-rhn-applet
-up2date-gnome
-xisdnload
#Other
jfsutils
smartmontools
sysstat
@ Administration Tools
@ Authoring and Publishing
#@ Development Tools
ddd
vim-X11
#@ Eclipse
#eclipse-cdt
#@ GNOME Desktop Environment
control-center
hwbrowser
@ Graphical Internet
-evolution
-evolution-webcal
gftp
thunderbird
#-mozilla
mozilla-mail
#-mozilla-nspr
@ Graphics
@ KDE (K Desktop Environment)
kdeadmin
kdepim
#@ KDE Software Development
kdesdk
@ Office/Productivity
#-openoffice.org
#-openoffice.org-i18n
#-openoffice.org-libs
@ Sound and Video
-rhythmbox
-sound-juicer
#@ System Tools
rdesktop
vnc
#@ X Software Development
xorg-x11-devel
@ X Window System
#Other
freeglut
jpilot
openmotif21
#Extras
kile
plplot-octave
#@ Development Tools
cvs
gcc-c++
gcc-gfortran
gdb
libjpeg-devel
subversion
zlib-devel
@ Editors
@ Emacs
@ Engineering and Scientific
@ Printing Support
@ System Tools
-ckermit
-ethereal
-nmap
@ Text-based Internet
lynx
@ Windows File Server
#Other
enscript
#Extras
kdesvn
#CoRA
ftnchek
fsplit
kbibtex
transcode
@ Dialup Networking Support
-mdadm
#Extras
gv
Comment 1 Orion Poplawski 2005-12-16 15:41:13 EST
Created attachment 122352 [details]
Anacoda dump file
Comment 2 Jeremy Katz 2005-12-19 15:40:07 EST
Paul may have already fixed this... I'll let him check :)
Comment 3 Orion Poplawski 2005-12-20 13:45:17 EST
Still in anaconda-10.90.22-1.x86_64.rpm
Comment 4 Paul Nasrat 2005-12-21 07:43:30 EST
Reproduced.
Comment 5 Paul Nasrat 2005-12-21 08:03:03 EST
I have two potential fixes for this, once I've run them past people I'll update
the appropriate packages (anaconda/yum).
Comment 6 Paul Nasrat 2005-12-21 08:20:11 EST
Created attachment 122487 [details]
Fix anaconda to pass pkgtup to remove
Comment 7 Paul Nasrat 2005-12-21 08:22:05 EST
Created attachment 122488 [details]
Fix yum so txmbr hashable

This fix makes txmbr hashable (using pkgtup) so either pkgtup or txmbr can be
used in remove or other pkgdict operations.
Comment 8 Paul Nasrat 2005-12-21 08:23:56 EST
Jeremy/Seth can you review the patches - personally I think making txmbr
hashable is the correct way to resolve this.
Comment 9 Paul Nasrat 2005-12-21 11:00:04 EST
After review opted for the hashable txmbr approach

Note You need to log in before you can comment on or make changes to this bug.